Skip to main content
POST
/
forwarding_requests
curl https://production.methodfi.com/forwarding_requests \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "bindings": {
      "payment_instrument": "pmt_inst_7TNTTRQwQxWc",
      "secret": "sec_au22b1fbFrmfp",
      "entity": "ent_au22b1FBFJbp8"
    },
    "url": "https://sample-url/v1/tokens",
    "method": "POST",
    "headers": {
      "Content-Type": "application/json",
      "Authorization": "Bearer {{secret.value}}"
    },
    "body": "{\"first_name\":\"{{entity.individual.first_name}}\",\"last_name\":\"{{entity.individual.last_name}}\",\"number\":\"{{payment_instrument.card.number}}\",\"month\":\"{{payment_instrument.card.month}}\",\"year\":\"{{payment_instrument.card.year}}\",\"cvv\":\"{{payment_instrument.card.cvv}}\",\"address1\":\"123 Main St\",\"city\":\"San Francisco\",\"state\":\"CA\",\"country\":\"US\",\"postal_code\":\"94110\"}"
  }'
const forwardingRequest = await method.forwardingRequests.create({
  bindings: {
    payment_instrument: 'pmt_inst_7TNTTRQwQxWc',
    secret: 'sec_au22b1fbFrmfp',
    entity: 'ent_au22b1FBFJbp8'
  },
  url: 'https://sample-url/v1/tokens',
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{secret.value}}'
  },
  body: JSON.stringify({
    first_name: '{{entity.individual.first_name}}',
    last_name: '{{entity.individual.last_name}}',
    number: '{{payment_instrument.card.number}}',
    month: '{{payment_instrument.card.month}}',
    year: '{{payment_instrument.card.year}}',
    cvv: '{{payment_instrument.card.cvv}}',
    address1: '123 Main St',
    city: 'San Francisco',
    state: 'CA',
    country: 'US',
    postal_code: '94110'
  })
});
import json

forwarding_request = method.forwarding_requests.create({
  'bindings': {
    'payment_instrument': 'pmt_inst_7TNTTRQwQxWc',
    'secret': 'sec_au22b1fbFrmfp',
    'entity': 'ent_au22b1FBFJbp8'
  },
  'url': 'https://sample-url/v1/tokens',
  'method': 'POST',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{secret.value}}'
  },
  'body': json.dumps({
    'first_name': '{{entity.individual.first_name}}',
    'last_name': '{{entity.individual.last_name}}',
    'number': '{{payment_instrument.card.number}}',
    'month': '{{payment_instrument.card.month}}',
    'year': '{{payment_instrument.card.year}}',
    'cvv': '{{payment_instrument.card.cvv}}',
    'address1': '123 Main St',
    'city': 'San Francisco',
    'state': 'CA',
    'country': 'US',
    'postal_code': '94110'
  })
})
{
  "id": "freq_f6xGfRQyQxDc",
  "bindings": {
    "payment_instrument": "pmt_inst_7TNTTRQwQxWc",
    "secret": "sec_au22b1fbFrmfp",
    "entity": "ent_au22b1FBFJbp8"
  },
  "request": {
    "url": "https://sample-url/v1/tokens",
    "method": "POST",
    "headers": {
      "Content-Type": "application/json",
      "Authorization": "Bearer {{secret.value}}"
    },
    "body": "{\"first_name\":\"{{entity.individual.first_name}}\",\"last_name\":\"{{entity.individual.last_name}}\",\"number\":\"{{payment_instrument.card.number}}\",\"month\":\"{{payment_instrument.card.month}}\",\"year\":\"{{payment_instrument.card.year}}\",\"cvv\":\"{{payment_instrument.card.cvv}}\",\"address1\":\"123 Main St\",\"city\":\"San Francisco\",\"state\":\"CA\",\"country\":\"US\",\"postal_code\":\"94110\"}"
  },
  "response": {
    "status_code": 200,
    "headers": {
      "content-type": "application/json; charset=utf-8",
      "x-request-id": "3a92e6c6-7661-4270-bf31-2d4cc25ea911"
    },
    "body": {
      "type": "credit_card",
      "id": "vJlxp8rHhCq9FNCNF6VYeA",
      "card": {
        "brand": "visa",
        "first_six": "411111",
        "last_four": "1111",
        "exp_month": 2,
        "exp_year": 2030,
        "issuing_country": "US",
        "funding_source": "credit"
      }
    }
  },
  "duration_ms": 953,
  "created_at": "2025-12-04T18:50:54.024Z",
  "updated_at": "2025-12-04T18:50:54.024Z",
  "status": "completed"
}
Creates a new ForwardingRequest to securely forward sensitive data to an external API. The request is executed immediately, and the response from the upstream server is returned. Operation Type:

Body

Returns

Returns the ForwardingRequest object with the request and response fields populated.
curl https://production.methodfi.com/forwarding_requests \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "bindings": {
      "payment_instrument": "pmt_inst_7TNTTRQwQxWc",
      "secret": "sec_au22b1fbFrmfp",
      "entity": "ent_au22b1FBFJbp8"
    },
    "url": "https://sample-url/v1/tokens",
    "method": "POST",
    "headers": {
      "Content-Type": "application/json",
      "Authorization": "Bearer {{secret.value}}"
    },
    "body": "{\"first_name\":\"{{entity.individual.first_name}}\",\"last_name\":\"{{entity.individual.last_name}}\",\"number\":\"{{payment_instrument.card.number}}\",\"month\":\"{{payment_instrument.card.month}}\",\"year\":\"{{payment_instrument.card.year}}\",\"cvv\":\"{{payment_instrument.card.cvv}}\",\"address1\":\"123 Main St\",\"city\":\"San Francisco\",\"state\":\"CA\",\"country\":\"US\",\"postal_code\":\"94110\"}"
  }'
const forwardingRequest = await method.forwardingRequests.create({
  bindings: {
    payment_instrument: 'pmt_inst_7TNTTRQwQxWc',
    secret: 'sec_au22b1fbFrmfp',
    entity: 'ent_au22b1FBFJbp8'
  },
  url: 'https://sample-url/v1/tokens',
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{secret.value}}'
  },
  body: JSON.stringify({
    first_name: '{{entity.individual.first_name}}',
    last_name: '{{entity.individual.last_name}}',
    number: '{{payment_instrument.card.number}}',
    month: '{{payment_instrument.card.month}}',
    year: '{{payment_instrument.card.year}}',
    cvv: '{{payment_instrument.card.cvv}}',
    address1: '123 Main St',
    city: 'San Francisco',
    state: 'CA',
    country: 'US',
    postal_code: '94110'
  })
});
import json

forwarding_request = method.forwarding_requests.create({
  'bindings': {
    'payment_instrument': 'pmt_inst_7TNTTRQwQxWc',
    'secret': 'sec_au22b1fbFrmfp',
    'entity': 'ent_au22b1FBFJbp8'
  },
  'url': 'https://sample-url/v1/tokens',
  'method': 'POST',
  'headers': {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer {{secret.value}}'
  },
  'body': json.dumps({
    'first_name': '{{entity.individual.first_name}}',
    'last_name': '{{entity.individual.last_name}}',
    'number': '{{payment_instrument.card.number}}',
    'month': '{{payment_instrument.card.month}}',
    'year': '{{payment_instrument.card.year}}',
    'cvv': '{{payment_instrument.card.cvv}}',
    'address1': '123 Main St',
    'city': 'San Francisco',
    'state': 'CA',
    'country': 'US',
    'postal_code': '94110'
  })
})
{
  "id": "freq_f6xGfRQyQxDc",
  "bindings": {
    "payment_instrument": "pmt_inst_7TNTTRQwQxWc",
    "secret": "sec_au22b1fbFrmfp",
    "entity": "ent_au22b1FBFJbp8"
  },
  "request": {
    "url": "https://sample-url/v1/tokens",
    "method": "POST",
    "headers": {
      "Content-Type": "application/json",
      "Authorization": "Bearer {{secret.value}}"
    },
    "body": "{\"first_name\":\"{{entity.individual.first_name}}\",\"last_name\":\"{{entity.individual.last_name}}\",\"number\":\"{{payment_instrument.card.number}}\",\"month\":\"{{payment_instrument.card.month}}\",\"year\":\"{{payment_instrument.card.year}}\",\"cvv\":\"{{payment_instrument.card.cvv}}\",\"address1\":\"123 Main St\",\"city\":\"San Francisco\",\"state\":\"CA\",\"country\":\"US\",\"postal_code\":\"94110\"}"
  },
  "response": {
    "status_code": 200,
    "headers": {
      "content-type": "application/json; charset=utf-8",
      "x-request-id": "3a92e6c6-7661-4270-bf31-2d4cc25ea911"
    },
    "body": {
      "type": "credit_card",
      "id": "vJlxp8rHhCq9FNCNF6VYeA",
      "card": {
        "brand": "visa",
        "first_six": "411111",
        "last_four": "1111",
        "exp_month": 2,
        "exp_year": 2030,
        "issuing_country": "US",
        "funding_source": "credit"
      }
    }
  },
  "duration_ms": 953,
  "created_at": "2025-12-04T18:50:54.024Z",
  "updated_at": "2025-12-04T18:50:54.024Z",
  "status": "completed"
}